Bug 306952 - batterymonitor shows a "battery missing" icon after suspend to ram
Summary: batterymonitor shows a "battery missing" icon after suspend to ram
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-battery (show other bugs)
Version: 4.9-git
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-17 18:21 UTC by LuRan
Modified: 2013-01-09 14:27 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description LuRan 2012-09-17 18:21:09 UTC
I think the bug was introduced in 90db8129ff19ec7ce9e0ef294ae7e8a8e9398f7c, after the laptop wakes up from suspend to ram, the battery widget changed to "battery missing" icon, the status tooltip when I hover the mouse above it also shows no battery info. However the widget popped up when I click on the icon did show the correct battery capacity. The icon return the correct one when I apply some changes in the configuration window.

Reproducible: Always

Steps to Reproduce:
1. Suspend to ram
2. Wake the laptop up
3.
Actual Results:  
battery monitor shows a "battery missing" icon

Expected Results:  
battery monitor show the correct remaining capacity

Just in case it matters, I am using a thinkpad W510 with 3.5.3 kernel, nvidia binary blob for the video card, just a single battery. But at any rate, the bug disappears if I revert 90db8129ff19ec7ce9e0ef294ae7e8a8e9398f7c
Comment 1 Weng Xuetian 2013-01-09 14:27:12 UTC
Git commit ac51d54be4c019398adf82a0ab049f145b0334d7 by Weng Xuetian.
Committed on 09/01/2013 at 15:24.
Pushed by xuetianweng into branch 'KDE/4.10'.

fix random battery cumulative data error update upon resume

In some case, slot connect to dataChanged signal might see wrong data in
data model, so this patch update Cumulative data by using dataChanged signal
of DataModel, this would fix random "fake unavailable" battery upon resume
and reduce useless call to updateCumulative.
REVIEW: 108280
FIXED-IN: 4.10

M  +0    -3    plasma/generic/applets/batterymonitor/contents/code/logic.js
M  +5    -2    plasma/generic/applets/batterymonitor/contents/ui/batterymonitor.qml

http://commits.kde.org/kde-workspace/ac51d54be4c019398adf82a0ab049f145b0334d7